New to Kendo UI for Angular? Start a free 30-day trial

MarkerType

Specifies the marker type.

Note that "rect" is an alias for "square".

The possible values are:

  • "square"—The marker is a square.
  • "circle"—The marker is a circle.
  • "triangle"—The marker is a triangle.
  • "cross"—The marker is a cross.
  • "rect"—The marker is a rectangle.
  • "roundedRect"—The marker is a rounded rectangle.
import { Component } from '@angular/core';
import { MarkerType } from '@progress/kendo-angular-charts';

@Component({
  selector: 'my-app',
  template: `
    <kendo-chart>
      <kendo-chart-series>
        <kendo-chart-series-item type="line" [data]="[1, 2, 3]">
          <kendo-chart-series-item-markers [type]="markerType">
          </kendo-chart-series-item-markers>
        </kendo-chart-series-item>
      </kendo-chart-series>
    </kendo-chart>
  `
})
class AppComponent {
  public markerType: MarkerType = "cross";
}

type MarkerType = "square" | "circle" | "triangle" | "cross" | "rect" | "roundedRect";

In this article

Not finding the help you need?

New to Kendo UI for Vue? Start a free 30-day trial

MarkerType

Specifies the marker type.

import {
 Chart,
 ChartSeries,
 ChartSeriesItem
} from '@progress/kendo-vue-charts';

<template>
 <Chart>
   <ChartSeries>
     <ChartSeriesItem :type="'line'" :data-items="dataItems" :markers="markerType" />
   </ChartSeries>
 </Chart>
 </template>
<script>
export default {
  components: {
     Chart,
     ChartSeries,
     ChartSeriesItem
  },
  data () {
      return {
         dataItems: [1, 2, 3],
         markerType: { type: "cross" }
      };
  }
}
</script>

type MarkerType = "square" | "circle" | "triangle" | "cross";

In this article

Not finding the help you need?